Content Hub: com::ubuntu::content::Hub Class Reference

Content Hub 0.2.0 A session-wide content-exchange service |

Classes | Signals | Public Member Functions | Protected Member Functions | Properties | List of all members
com::ubuntu::content::Hub Class Reference

`#include <hub.h>`

Inheritance diagram for com::ubuntu::content::Hub:
Collaboration diagram for com::ubuntu::content::Hub:

## Classes
struct | Client

## Signals
void | pasteFormatsChanged ()
void | pasteboardChanged ()

## Public Member Functions
| Hub (const Hub &)=delete
virtual | ~Hub ()
Hub & | operator= (const Hub &)=delete
virtual Q_INVOKABLE void | register_import_export_handler (ImportExportHandler *handler)
virtual Q_INVOKABLE const Store * | store_for_scope_and_type (Scope scope, Type type)
virtual Q_INVOKABLE Peer | default_source_for_type (Type type)
virtual Q_INVOKABLE QVector< Peer > | known_sources_for_type (Type type)
virtual Q_INVOKABLE QVector< Peer > | known_destinations_for_type (Type type)
virtual Q_INVOKABLE QVector< Peer > | known_shares_for_type (Type type)
virtual Q_INVOKABLE Transfer * | create_import_from_peer (Peer peer)
virtual Q_INVOKABLE Transfer * | create_export_to_peer (Peer peer)
virtual Q_INVOKABLE Transfer * | create_share_to_peer (Peer peer)
virtual Q_INVOKABLE void | quit ()
virtual Q_INVOKABLE Transfer * | create_import_from_peer_for_type (Peer peer, Type type)
virtual Q_INVOKABLE Transfer * | create_export_to_peer_for_type (Peer peer, Type type)
virtual Q_INVOKABLE Transfer * | create_share_to_peer_for_type (Peer peer, Type type)
virtual Q_INVOKABLE bool | has_pending (QString peer_id)
virtual Q_INVOKABLE Peer | peer_for_app_id (QString app_id)
QDBusPendingCall | createPaste (const QString &surfaceId, const QMimeData &data)
QDBusPendingCall | requestLatestPaste (const QString &surfaceId)
QDBusPendingCall | requestPasteById (const QString &surfaceId, int pasteId)
QMimeData * | paste (QDBusPendingCall requestPeply)
bool | createPasteSync (const QString &surfaceId, const QMimeData &data)
QMimeData * | latestPaste (const QString &surfaceId)
QMimeData * | pasteById (const QString &surfaceId, int id)
QStringList | pasteFormats ()

## Protected Member Functions
| Hub (QObject *=nullptr)

## Properties
QStringList | pasteFormats

## Detailed Description

Definition at line 41 of file hub.h.

## Constructor & Destructor Documentation

## ◆ Hub() [1/2]

com::ubuntu::content::Hub::Hub | ( | const Hub & |  | ) |
| delete

## ◆ ~Hub()

virtual com::ubuntu::content::Hub::~Hub | ( |  | ) |
| virtual

## ◆ Hub() [2/2]

com::ubuntu::content::Hub::Hub | ( | QObject * | = `nullptr` | ) |
| protected

## Member Function Documentation

## ◆ create_export_to_peer()

virtual Q_INVOKABLE Transfer* com::ubuntu::content::Hub::create_export_to_peer | ( | Peer | peer | ) |
| virtual

## ◆ create_export_to_peer_for_type()

virtual Q_INVOKABLE Transfer* com::ubuntu::content::Hub::create_export_to_peer_for_type | ( | Peer | peer,
|  | Type | type
| ) |  |
| virtual

## ◆ create_import_from_peer()

virtual Q_INVOKABLE Transfer* com::ubuntu::content::Hub::create_import_from_peer | ( | Peer | peer | ) |
| virtual

## ◆ create_import_from_peer_for_type()

virtual Q_INVOKABLE Transfer* com::ubuntu::content::Hub::create_import_from_peer_for_type | ( | Peer | peer,
|  | Type | type
| ) |  |
| virtual

## ◆ create_share_to_peer()

virtual Q_INVOKABLE Transfer* com::ubuntu::content::Hub::create_share_to_peer | ( | Peer | peer | ) |
| virtual

## ◆ create_share_to_peer_for_type()

virtual Q_INVOKABLE Transfer* com::ubuntu::content::Hub::create_share_to_peer_for_type | ( | Peer | peer,
|  | Type | type
| ) |  |
| virtual

## ◆ createPaste()

QDBusPendingCall com::ubuntu::content::Hub::createPaste | ( | const QString & | surfaceId,
|  | const QMimeData & | data
| ) |  |

## ◆ createPasteSync()

bool com::ubuntu::content::Hub::createPasteSync | ( | const QString & | surfaceId,
|  | const QMimeData & | data
| ) |  |

## ◆ default_source_for_type()

virtual Q_INVOKABLE Peer com::ubuntu::content::Hub::default_source_for_type | ( | Type | type | ) |
| virtual

## ◆ has_pending()

virtual Q_INVOKABLE bool com::ubuntu::content::Hub::has_pending | ( | QString | peer_id | ) |
| virtual

## ◆ known_destinations_for_type()

virtual Q_INVOKABLE QVector<Peer> com::ubuntu::content::Hub::known_destinations_for_type | ( | Type | type | ) |
| virtual

## ◆ known_shares_for_type()

virtual Q_INVOKABLE QVector<Peer> com::ubuntu::content::Hub::known_shares_for_type | ( | Type | type | ) |
| virtual

## ◆ known_sources_for_type()

virtual Q_INVOKABLE QVector<Peer> com::ubuntu::content::Hub::known_sources_for_type | ( | Type | type | ) |
| virtual

## ◆ latestPaste()

QMimeData* com::ubuntu::content::Hub::latestPaste | ( | const QString & | surfaceId | ) |

## ◆ operator=()

Hub& com::ubuntu::content::Hub::operator= | ( | const Hub & |  | ) |
| delete

## ◆ paste()

QMimeData* com::ubuntu::content::Hub::paste | ( | QDBusPendingCall | requestPeply | ) |

## ◆ pasteboardChanged

void com::ubuntu::content::Hub::pasteboardChanged | ( |  | ) |
| signal

## ◆ pasteById()

QMimeData* com::ubuntu::content::Hub::pasteById | ( | const QString & | surfaceId,
|  | int | id
| ) |  |

## ◆ pasteFormats()

QStringList com::ubuntu::content::Hub::pasteFormats | ( |  | ) |

## ◆ pasteFormatsChanged

void com::ubuntu::content::Hub::pasteFormatsChanged | ( |  | ) |
| signal

## ◆ peer_for_app_id()

virtual Q_INVOKABLE Peer com::ubuntu::content::Hub::peer_for_app_id | ( | QString | app_id | ) |
| virtual

## ◆ quit()

virtual Q_INVOKABLE void com::ubuntu::content::Hub::quit | ( |  | ) |
| virtual

## ◆ register_import_export_handler()

virtual Q_INVOKABLE void com::ubuntu::content::Hub::register_import_export_handler | ( | ImportExportHandler * | handler | ) |
| virtual

## ◆ requestLatestPaste()

QDBusPendingCall com::ubuntu::content::Hub::requestLatestPaste | ( | const QString & | surfaceId | ) |

## ◆ requestPasteById()

QDBusPendingCall com::ubuntu::content::Hub::requestPasteById | ( | const QString & | surfaceId,
|  | int | pasteId
| ) |  |

## ◆ store_for_scope_and_type()

virtual Q_INVOKABLE const Store* com::ubuntu::content::Hub::store_for_scope_and_type | ( | Scope | scope,
|  | Type | type
| ) |  |
| virtual

## Property Documentation

## ◆ pasteFormats

QStringList com::ubuntu::content::Hub::pasteFormats
| read

Definition at line 1 of file hub.h.

The documentation for this class was generated from the following file:

- /build/content-hub-git/src/content-hub/include/com/ubuntu/content/hub.h